io.vertx.rxjava.ext.shell.command

## Class CommandRegistry

- java.lang.Object
- - io.vertx.rxjava.ext.shell.command.CommandResolver
  - - io.vertx.rxjava.ext.shell.command.CommandRegistry

-     public class CommandRegistry
      extends CommandResolver

  A registry that contains the commands known by a shell.

  It is a mutable command resolver.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandRegistry(CommandRegistry delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandRegistry` | `create(Vertx vertx)` Create a new registry.
    `Object` | `getDelegate()`
    `static CommandRegistry` | `getShared(Vertx vertx)` Get the shared registry for the Vert.x instance.
    `static CommandRegistry` | `newInstance(CommandRegistry arg)`
    `CommandRegistry` | `registerCommand(Command command)` Like `registerCommand(io.vertx.rxjava.ext.shell.command.Command)`, without a completion handler.
    `CommandRegistry` | `registerCommand(Command command, Handler<AsyncResult<Command>> completionHandler)` Register a command
    `Observable<Command>` | `registerCommandObservable(Command command)` Register a command
    `CommandRegistry` | `registerCommands(List<Command> commands)` Like `registerCommands(java.util.List<io.vertx.rxjava.ext.shell.command.Command>)`, without a completion handler.
    `CommandRegistry` | `registerCommands(List<Command> commands, Handler<AsyncResult<List<Command>>> completionHandler)` Register a list of commands.
    `Observable<List<Command>>` | `registerCommandsObservable(List<Command> commands)` Register a list of commands.
    `CommandRegistry` | `unregisterCommand(String commandName)` Like `unregisterCommand(java.lang.String)`, without a completion handler.
    `CommandRegistry` | `unregisterCommand(String commandName, Handler<AsyncResult<Void>> completionHandler)` Unregister a command.
    `Observable<Void>` | `unregisterCommandObservable(String commandName)` Unregister a command.

    - ### Methods inherited from class io.vertx.rxjava.ext.shell.command.CommandResolver

      `baseCommands, commands, getCommand, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandRegistry

          public CommandRegistry(CommandRegistry delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `CommandResolver`

    - #### getShared

          public static CommandRegistry getShared(Vertx vertx)

      Get the shared registry for the Vert.x instance.
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the shared registry

    - #### create

          public static CommandRegistry create(Vertx vertx)

      Create a new registry.
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the created registry

    - #### registerCommand

          public CommandRegistry registerCommand(Command command)

      Like `registerCommand(io.vertx.rxjava.ext.shell.command.Command)`, without a completion handler.
      Parameters:
        `command` -
      Returns:

    - #### registerCommand

          public CommandRegistry registerCommand(Command command,
                                                 Handler<AsyncResult<Command>> completionHandler)

      Register a command
      Parameters:
        `command` - the command to register
        `completionHandler` - notified when the command is registered
      Returns:
        a reference to this, so the API can be used fluently

    - #### registerCommandObservable

          public Observable<Command> registerCommandObservable(Command command)

      Register a command
      Parameters:
        `command` - the command to register
      Returns:

    - #### registerCommands

          public CommandRegistry registerCommands(List<Command> commands)

      Like `registerCommands(java.util.List<io.vertx.rxjava.ext.shell.command.Command>)`, without a completion handler.
      Parameters:
        `commands` -
      Returns:

    - #### registerCommands

          public CommandRegistry registerCommands(List<Command> commands,
                                                  Handler<AsyncResult<List<Command>>> completionHandler)

      Register a list of commands.
      Parameters:
        `commands` - the commands to register
        `completionHandler` - notified when the command is registered
      Returns:
        a reference to this, so the API can be used fluently

    - #### registerCommandsObservable

          public Observable<List<Command>> registerCommandsObservable(List<Command> commands)

      Register a list of commands.
      Parameters:
        `commands` - the commands to register
      Returns:

    - #### unregisterCommand

          public CommandRegistry unregisterCommand(String commandName)

      Like `unregisterCommand(java.lang.String)`, without a completion handler.
      Parameters:
        `commandName` -
      Returns:

    - #### unregisterCommand

          public CommandRegistry unregisterCommand(String commandName,
                                                   Handler<AsyncResult<Void>> completionHandler)

      Unregister a command.
      Parameters:
        `commandName` - the command name
        `completionHandler` - notified when the command is unregistered
      Returns:
        a reference to this, so the API can be used fluently

    - #### unregisterCommandObservable

          public Observable<Void> unregisterCommandObservable(String commandName)

      Unregister a command.
      Parameters:
        `commandName` - the command name
      Returns:

    - #### newInstance

          public static CommandRegistry newInstance(CommandRegistry arg)

Copyright © 2016. All rights reserved.